/***************************************************************************** 
*  interrupts.h
*
*  Gergely Zaruba
*  August 2007
*
*
*****************************************************************************/

#ifndef __MY_INTERRUPTS_H__
#define __MY_INTERRUPTS_H__

#include "global.h"
#include "serialin.h"
#include "serialout.h"


//forward declarations
interrupt (UART0RX_VECTOR) wakeup SerialReceiveISR(void);
interrupt (UART0TX_VECTOR) SerialTransmitISR(void);
interrupt (TIMERA0_VECTOR) SystemTimeISR0(void);
interrupt (TIMERA1_VECTOR) SystemTimeISR1(void);

#endif


